#!/bin/bash

# Usage
# DEB="https://secostorage.blob.core.windows.net/seco-ne-public/ARM-COM/Ubuntu/Releases/Ubuntu-jammy-2.0-5.15.0-1029-mtk/genio700/packages/install_packages.sh"
# curl -sSL "$DEB" | bash -s "$(dirname "$DEB")"

# Function to download predefined files
download_predefined_files() {
    local temp_dir="$1"
    wget -q -P "$temp_dir" "${folder_url}/@LINUX_BUILDINFO@"
    wget -q -P "$temp_dir" "${folder_url}/@LINUX_HEADERS@"
    wget -q -P "$temp_dir" "${folder_url}/@LINUX_IMAGE@"
    wget -q -P "$temp_dir" "${folder_url}/@LINUX_MODULES@"
    wget -q -P "$temp_dir" "${folder_url}/@LINUX_MTK_HEADERS@"
}

# Check if the URL argument is provided
if [ $# -ne 1 ]; then
    echo "Usage: $0 <URL to folder containing .deb files>"
    exit 1
fi

# URL to the folder containing .deb files
folder_url="$1"

# Temporary directory to download files
temp_dir=$(mktemp -d)

echo "Downloading deb files"
download_predefined_files "$temp_dir"

echo "Installing deb files"
sudo dpkg -i "$temp_dir"/*.deb

echo "Cleanin up"
rm -rf "$temp_dir"
